## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Build doc by default
%bcond_without doc

# mailman3's TestableMaster can't be used outside of a
# source checkout?
%bcond_with tests

Name:           python-hyperkitty
Version:        1.3.12
Release:        %autorelease
Summary:        A web interface to access GNU Mailman v3 archives
License:        GPL-3.0-or-later
URL:            https://gitlab.com/mailman/hyperkitty
# PyPI still stuck on 1.3.9
# Source:         %%{pypi_source HyperKitty}
Source:         %{url}/-/archive/%{version}/hyperkitty-%{version}.tar.gz
# don't check out modules from git
Patch:          HyperKitty-tox-localdeps.patch

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel

%if %{with doc}
BuildRequires:  make
BuildRequires:  python%{python3_pkgversion}-sphinx
BuildRequires:  python%{python3_pkgversion}-sphinx_rtd_theme
%endif

%global _description %{expand:
HyperKitty is an open source Django application under development. It aims to
provide a web interface to access GNU Mailman v3 archives.}

%description %{_description}


%package -n hyperkitty
Summary:        %{summary}

Recommends:     python%{python3_version}dist(cmarkgfm)

%description -n hyperkitty %{_description}


%package -n hyperkitty-doc
Summary:        Documentation for hyperkitty
Suggests:       hyperkitty = %{version}-%{release}

%description -n hyperkitty-doc %{_description}

This package contains the documentation for hyperkitty.


%prep
%autosetup -p1 -n hyperkitty-%{version}
# fix shebang
sed -i 's|#!/usr/bin/env python|#!/usr/bin/python3|' \
  example_project/manage.py


%generate_buildrequires
%if %{with tests}
%pyproject_buildrequires -t
%else
%pyproject_buildrequires
%endif


%build
%pyproject_wheel

%if %{with doc}
(cd doc && PYTHONPATH=..:${PYTHONPATH} make html)
%endif


%install
%pyproject_install
%pyproject_save_files hyperkitty


%check
# requires the Django app to be configured
# pyproject_check_import
%if %{with tests}

PYTHONPATH=$(pwd)/src:${PYTHONPATH} \
%tox
%endif


%files -n hyperkitty -f %{pyproject_files}
%license COPYING.txt
%doc AUTHORS.txt README.rst

%if %{with doc}
%files -n hyperkitty-doc
%license COPYING.txt
%doc doc/_build/html/*
%endif


%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Sep 23 2024 Michel Lind <salimma@fedoraproject.org> - 1.3.12-1
- Update to version 1.3.12; Fixes: RHBZ#2313959

* Tue Sep 17 2024 Michel Lind <salimma@fedoraproject.org> - 1.3.11-1
- Update to version 1.3.11; Fixes: RHBZ#2245467

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jun 20 2024 Python Maint <python-maint@redhat.com> - 1.3.7-7
- Rebuilt for Python 3.13

* Sat Mar 16 2024 Michel Lind <salimma@fedoraproject.org> - 1.3.7-6
- Recommend cmarkgfm

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jul 31 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.3.7-3
- Mark as compatible with Django 4.2 (rhbz#2226208, rhbz#2220273)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Mar 08 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.3.7-1
- Update to 1.3.7
- Use SPDX for license

* Fri Mar 03 2023 Tomas Hrcka <thrcka@redhat.com> - 1.3.5-5
- Unretirement request: https://pagure.io/releng/issue/11314

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.3.5-3
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Dec 14 2021 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.3.5-1
- Initial Fedora package
## END: Generated by rpmautospec
